Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rop
Class ListResultObjectProvider

    java.lang.Object
      |
      +--com.solarmetric.rop.ListResultObjectProvider

All Implemented Interfaces:
  com.solarmetric.util.Closeable, ResultObjectProvider

public class ListResultObjectProvider
extends Object
implements ResultObjectProvider

A result object provider wrapped around a normal list.

Constructor Summary
`ListResultObjectProvider(List list)` Constructor.

Method Summary
`boolean` | `absolute(int pos)` Move to the given 0-based position.
`void` | `close()` Free the resources associated with this provider.
`List` | `getDelegate()`
`Object` | `getResultObject()` Instantiate the current result object.
`void` | `handleCheckedException(Exception e)` Any checked exceptions that are thrown will be passed to this method.
`boolean` | `next()` Advance the input to the next position.
`void` | `open()` Open the result.
`void` | `reset()` Reset this provider.
`int` | `size()` Return the number of items in the input, or `Integer.MAX_VALUE` if the size in unknown.
`boolean` | `supportsRandomAccess()` Return true if this provider supports random access.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListResultObjectProvider

    public ListResultObjectProvider(List list)

  Constructor. Supply delegate.

Method Detail

### getDelegate

    public List getDelegate()

### supportsRandomAccess

    public boolean supportsRandomAccess()

  Description copied from interface: `ResultObjectProvider`
  Return true if this provider supports random access.
  Specified by:
    `supportsRandomAccess` in interface `ResultObjectProvider`

### open

    public void open()
              throws Exception

  Description copied from interface: `ResultObjectProvider`
  Open the result. This will be called before `ResultObjectProvider.next()`, `ResultObjectProvider.absolute(int)`, or `ResultObjectProvider.size()`.
  Specified by:
    `open` in interface `ResultObjectProvider`

### getResultObject

    public Object getResultObject()
                           throws Exception

  Description copied from interface: `ResultObjectProvider`
  Instantiate the current result object. This method will only be called after `ResultObjectProvider.next()` or `ResultObjectProvider.absolute(int)`.
  Specified by:
    `getResultObject` in interface `ResultObjectProvider`

### next

    public boolean next()
                 throws Exception

  Description copied from interface: `ResultObjectProvider`
  Advance the input to the next position. Return `true` if there is more data; otherwise `false`.
  Specified by:
    `next` in interface `ResultObjectProvider`

### absolute

    public boolean absolute(int pos)
                     throws Exception

  Description copied from interface: `ResultObjectProvider`
  Move to the given 0-based position. This method is only called for providers that support random access. Return `true` if there is data at this position; otherwise `false`. This may be invoked in place of `ResultObjectProvider.next()`.
  Specified by:
    `absolute` in interface `ResultObjectProvider`

### size

    public int size()
             throws Exception

  Description copied from interface: `ResultObjectProvider`
  Return the number of items in the input, or `Integer.MAX_VALUE` if the size in unknown.
  Specified by:
    `size` in interface `ResultObjectProvider`

### reset

    public void reset()
               throws Exception

  Description copied from interface: `ResultObjectProvider`
  Reset this provider. This is an optional operation. If supported, it should move the position of the provider to before the first element. Non-random-access providers may be able to support this method by re-acquiring all resources as if the result were just opened.
  Specified by:
    `reset` in interface `ResultObjectProvider`

### close

    public void close()
               throws Exception

  Description copied from interface: `ResultObjectProvider`
  Free the resources associated with this provider.
  Specified by:
    `close` in interface `ResultObjectProvider`

### handleCheckedException

    public void handleCheckedException(Exception e)

  Description copied from interface: `ResultObjectProvider`
  Any checked exceptions that are thrown will be passed to this method. The provider should re-throw the exception as an appropriate unchecked exception.
  Specified by:
    `handleCheckedException` in interface `ResultObjectProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.